Debian Bug report logs - #599640
buildd.emdebian.org: squeeze installation issues

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sat, 9 Oct 2010 20:04:31 UTC

Severity: normal

Tags: d-i

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, codehelp@debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#599640; Package buildd.emdebian.org. (Sat, 09 Oct 2010 20:04:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to codehelp@debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>. (Sat, 09 Oct 2010 20:04:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildd.emdebian.org: squeeze installation issues
Date: Sat, 09 Oct 2010 21:01:45 +0100
Package: buildd.emdebian.org
Severity: normal
Tags: d-i

In no particular order:

1. still testing the emdebian-archive-keyring support in the pre-seeding
but that can be fixed.

2. tests are done with my Acer Aspire and that has considerable problems
with the current daily builds of Squeeze - not sure whether the installer
actually crashes but it displays the standard welcome screen and then
refuses keyboard input. Older images are now being tested and this needs
to be added to the release notes for Emdebian Grip 2.0 Squeeze. (Initial
release notes will appear on the site soon but have minimal changes from
standard Debian notes.

3. install-info fails - this needs some careful work because update-info
fails with an exit value of 1 if /usr/share/info/dir does not exist and
nothing in the install process actually creates this.

4. Xorg is improved and configures first time automatically to use a higher
res than my Aspire could do before. Touchpad taps aren't recognised yet.

5. Grub2 appears to be a pain - manual fettling with grub-mkconfig and
redirecting that output to /boot/grub/grub.cfg seems to work but haven't
yet got grub2 to configure properly first time. It appears to expect to
install itself onto the USB stick as well as the SSD and objects if
any of the offered drives are not selected.

6. Strange issue with start-stop-daemon which initially appeared to be
the nobbled version. grip-config or balloon3-config are not installed.

7. Must document the need to add a debian repository to get contrib and
non-free kernel modules so that things like wireless can work etc.

More notes will be appended to this bug as I re-test and then I'll close
this bug when the steps remaining are documented - or issues from here
can be cloned to the relevant Debian packages.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#599640; Package buildd.emdebian.org. (Sun, 10 Oct 2010 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Sun, 10 Oct 2010 09:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 599640@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug 599640 <599640@bugs.debian.org>
Subject: Re: Bug#599640: buildd.emdebian.org: squeeze installation issues
Date: Sun, 10 Oct 2010 10:11:43 +0100
[Message part 1 (text/plain, inline)]
On Sat, 09 Oct 2010 21:01:45 +0100
Neil Williams <codehelp@debian.org> wrote:

> 1. still testing the emdebian-archive-keyring support in the
> pre-seeding but that can be fixed.

Appears fine - albeit by promoting emdebian-archive-keyring to
Priority: important
 
> 2. tests are done with my Acer Aspire and that has considerable
> problems with the current daily builds of Squeeze - not sure whether
> the installer actually crashes but it displays the standard welcome
> screen and then refuses keyboard input. Older images are now being
> tested and this needs to be added to the release notes for Emdebian
> Grip 2.0 Squeeze. (Initial release notes will appear on the site soon
> but have minimal changes from standard Debian notes.

pending ...

If others are able to test the daily d-i builds on other hardware,
please add your feedback here.
 
> 3. install-info fails - this needs some careful work because
> update-info fails with an exit value of 1 if /usr/share/info/dir does
> not exist and nothing in the install process actually creates this.

Bug filed : #599686

grip-config has also been reintroduced, albeit smoothed out and
without any of the gcc-*-base stuff or dependency mangling that was
used in Lenny. It is Priority: required, it contains the grip-tasks.desc
file and it contains /usr/share/info/dir - not nice but useful until the
real bug is fixed.

> 4. Xorg is improved and configures first time automatically to use a
> higher res than my Aspire could do before. Touchpad taps aren't
> recognised yet.

still testing
 
> 5. Grub2 appears to be a pain - manual fettling with grub-mkconfig and
> redirecting that output to /boot/grub/grub.cfg seems to work but
> haven't yet got grub2 to configure properly first time. It appears to
> expect to install itself onto the USB stick as well as the SSD and
> objects if any of the offered drives are not selected.

Use rescue mode or an install shell:
# grub-mkconfig > /boot/grub/grub.cfg
and/or 
# apt-get --reinstall install grub-pc

 > 6. Strange issue with start-stop-daemon which initially appeared to
be
> the nobbled version. grip-config or balloon3-config are not installed.

This results from a failed debootstrap. Needs to be documented.
 
> 7. Must document the need to add a debian repository to get contrib
> and non-free kernel modules so that things like wireless can work etc.

Will try http://cdn.debian.net/debian/ squeeze contrib non-free

Even with these changes, other problems (not immediately apparent from
the logs) cause the base install to repeat (debootstrap allows 5
repeats which on an SSD makes the install virtually endless).

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#599640; Package buildd.emdebian.org. (Thu, 14 Oct 2010 09:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 14 Oct 2010 09:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 599640-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 599640-quiet@bugs.debian.org
Subject: Need to use latest install-info package in Grip
Date: Thu, 14 Oct 2010 10:09:48 +0100
[Message part 1 (text/plain, inline)]
Reminder to myself:

Bug #599686 is now closed. Need to add install-info 4.13a.dfsg.1-6 to
Grip Squeeze in case a freeze exception doesn't happen in Debian.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:59:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.